Subject: bug#14605: [O] bug#14605: bug#14605: bug#14605: Problem with export an .org file to .pdf does not open pdf file

From: Suvayu Ali <[email-masked]>
Date: Tue, 3 Sep 2013 15:35:59 +0200

On Mon, Sep 02, 2013 at 03:42:23PM +0530, Jambunathan K wrote:
> Suvayu Ali <[email-masked]> writes:
> 
> > It is expected to be present in most desktop systems (almost anything
> > with a GUI installed).
> 
> I use Debian 6.05 (Squeeze) + XFCE.  I had to install `xdg-open' by
> hand.  (i.e., It is not installed during default installation).

XFCE (and LXDE) uses exo-open.  Although it does not require xdg-open,
it is compliant.  Meaning, if xdg-utils is installed, xdg-open will
work.  Gnome, KDE, on the other hand require it on most distributions
(Fedora is an example).

> xdg-open is just a shell script and tries lots of different things based
> on Desktop Environment.  Why should Org re-implement the wheel?

Exactly!  Since you look for the executable before calling, there is
nothing to lose.  If xdg-open is present, it will work if there is a
GUI.

Cheers,

PS: I'm an XFCE (with xdg-utils) and emacs -nw user on Fedora.

-- 
Suvayu

Open source is the future. It sets us free.